@use "../theme";

.validator-report-result {
    position: relative;
    margin-left: 2.5rem;
    margin-bottom: theme.$spacing07;

    &::before {
        position: absolute;
        top: -4px;
        left: -2.5rem;
    }

    &:last-child {
        margin-bottom: 0;
    }

    &--success {
        &::before {
            display: block;
            content: url("../../../images/icons/success.svg");
        }
    }

    &--failed {
        &::before {
            display: block;
            content: url("../../../images/icons/failed.svg");
        }
    }

    &__title {
        margin-top: 0;
    }

    a {
        text-decoration: none;
        display: flex;
        align-items: center;
        font-weight: bold;

        svg {
            margin-left: theme.$spacing02;
        }
    }

    p {
        margin-bottom: theme.$spacing02;
    }

    &__errors {
        padding: theme.$spacing05 0;
        border-top: 1px solid theme.$colorPaletteGray400;
        border-bottom: 1px solid theme.$colorPaletteGray400;
        margin: theme.$spacing06 0 theme.$spacing04;
        display: flex;
        align-items: center;

        svg {
            fill: theme.$colorError;
        }

        p {
            margin: 0 0 0 theme.$spacing03;
            color: theme.$colorError;
        }
    }
}